Unit tammjr_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMMJR_p;

function tammjr: String; 

implementation

function tammjr: String;
var
NP,NQ,NR,_i :Integer;
CN :Array [0..3] of Real;
X :Array [0..2] of Real;
const
IA :Array [0..4] of Integer = ( 1,4,4,6,7 );
JA :Array [0..5] of Integer = ( 1,5,4,4,2,1 );
IB :Array [0..5] of Integer = ( 1,2,4,6,6,7 );
JB :Array [0..5] of Integer = ( 2,2,1,2,1,2 );
IC :Array [0..4] of Integer = ( 1,2,2,4,5 );
JC :Array [0..3] of Integer = ( 2,2,1,2 );
AN :Array [0..5] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0 );
BN :Array [0..5] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0 );
begin
Result := '';

{         JR }

NP := 4;
NQ := 5;
NR := 3;
AMMJR(IA,JA,AN,IB,JB,BN,IC,JC,NP,NQ,NR,CN,X);
Result := Result + Format('%s',[' CN=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[CN[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tammjr',Result);  {     tammjr.res }
exit;
end;

end.
